APP_NAME = Trustie: Git with trustie
RUN_USER = git
RUN_MODE = prod

[oauth2]
JWT_SECRET = pyD-ZA6zwykBhVCWdF5FsdRGDtM6kg16JLhcCu8uLPM

[security]
INTERNAL_TOKEN = eyDDbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJuYmYiOjE1NzQyMzU3OTN9.w7RDQaNanZHdC2XIrr9kAntPIjhfkXXOiBnNTbEdqQ8
INSTALL_LOCK   = true
SECRET_KEY     = K4DDaucPzKQnTf7WQxKFIoFNtIlsWVacoN5Ss3VDypQBUes7Ncy96UU735sfGOar
PASSWORD_COMPLEXITY = off
REVERSE_PROXY_LIMIT = 1
REVERSE_PROXY_TRUSTED_PROXIES = *

[database]
DB_TYPE  = mysql
HOST     = 127.0.0.1:3306
NAME     = gitea
USER     = root
PASSWD   = `123456`
CHARSET  = utf8
SSL_MODE = disable
PATH     = /var/lib/gitea/data/gitea.db
CONN_MAX_LIFE_TIME=180
MAX_IDLE_CONNS=5
MAX_OPEN_CONNS=200
LOG_SQL =true

[repository]
ROOT = /data/gitea-repositories
DEFAULT_BRANCH = master

[lfs]
PATH = /data/gitea/data/lfs

[server]
SSH_DOMAIN       = testgitea2.trustie.net
DOMAIN           = testgitea2.trustie.net
ROOT_URL         = https://testgitea2.trustie.net/
DISABLE_SSH      = false
SSH_PORT         = 22
LFS_START_SERVER = true
LFS_CONTENT_PATH = /data/gitea/data/lfs
LFS_JWT_SECRET   = n2kib4qdArULO57JW0jD2Ygm3z1ehzI8Y4zVfbxouyY
OFFLINE_MODE     = false
ENABLE_PPROF     = true
#REGISTER_EMAIL_CONFIRM = false

[webhook]
QUEUE_LENGTH    = 1000
DELIVER_TIMEOUT = 5
SKIP_TLS_VERIFY = false
PAGING_NUM      = 10
#PROXY_URL       =
#PROXY_HOSTS     =

[mailer]
ENABLED = false

[service]
REGISTER_EMAIL_CONFIRM            = false
ENABLE_NOTIFY_MAIL                = ANCH = master

DISABLE_REGISTRATION              = false
ALLOW_ONLY_EXTERNAL_REGISTRATION  = false
ENABLE_CAPTCHA                    = false
REQUIRE_SIGNIN_VIEW               = true
DEFAULT_KEEP_EMAIL_PRIVATE        = false
DEFAULT_ALLOW_CREATE_ORGANIZATION = true
DEFAULT_ENABLE_TIMETRACKING       = true
NO_REPLY_ADDRESS                  = noreply.example.org
SHOW_REGISTRATION_BUTTON          = false

[picture]
DISABLE_GRAVATAR        = true
ENABLE_FEDERATED_AVATAR = false

[openid]
ENABLE_OPENID_SIGNIN = true
ENABLE_OPENID_SIGNUP = true

[session]
PROVIDER = file

[log]
MODE      = file
LEVEL     = Trace
ROOT_PATH = /var/lib/gitea/log
REDIRECT_MACARON_LOG = true
[api]
DEFAULT_PAGING_NUM = 20

[git]
PATH                         =
DISABLE_DIFF_HIGHLIGHT       = false
MAX_GIT_DIFF_LINES           = 250
MAX_GIT_DIFF_LINE_CHARACTERS = 1200
MAX_GIT_DIFF_FILES           = 25
GC_ARGS                      =
EnableAutoGitWireProtocol    = true

; Operation timeout in seconds
[git.timeout]
DEFAULT = 1800
MIGRATE = 21600
MIRROR  = 1800
CLONE   = 1800
PULL    = 1800
GC      = 60

[migrations]
ALLOW_LOCALNETWORKS = true

[cron.update_mirrors]
SCHEDULE = @every 24h

[cron.delete_repo_archives]
ENABLED = true
RUN_AT_START = true
SCHEDULE = @every 72h